# Uses of Class
org.eclipse.jdt.core.dom.NullPattern

Packages that use NullPattern
Package
Description
org.eclipse.jdt.core.dom
The Java DOM/AST is the set of classes that model the source code of a Java program as a structured document.

## Uses of NullPattern in org.eclipse.jdt.core.dom

Methods in org.eclipse.jdt.core.dom that return NullPattern
Modifier and Type
Method
Description
`NullPattern`
AST.`newNullPattern()`
Creates and returns a new unparented null pattern node .
Methods in org.eclipse.jdt.core.dom with parameters of type NullPattern
Modifier and Type
Method
Description
`void`
ASTVisitor.`endVisit(NullPattern node)`
End of visit the given type-specific AST node.
`boolean`
ASTMatcher.`match(NullPattern node, Object other)`
Returns whether the given node and the other object match.
`boolean`
ASTVisitor.`visit(NullPattern node)`
Visits the given type-specific AST node.